Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Unable to Install Netbackup Client on Redhat 2.6.18

Created: 20 Mar 2013 • Updated: 04 Apr 2013 | 8 comments
This issue has been solved. See solution.

Hi,

I am unable to install netbackup client on my client server. There are two servers. Both are installed with Linux Redhat 2.6.18. One is 32-bit and the other one is 64-bit.

The error shows that incorrect platform.

Anyone ever encountered the same situation?

If i do push installation, would it be possible if i create a dummy .rhosts file in '/' directory?

Kindly assist!

Operating Systems:

Comments 8 CommentsJump to latest comment

RamNagalla's picture

The error shows that incorrect platform.

if you are doing the direct installl( login to the client and install) it clearly saying that you do not have correct binaries.. you need to downlaod the correct one and install it.

if you are pusing the clients form master server 

please expline how you are doing that... 

righthanded's picture

I have download the 32 and 64 bit installer from fileconnect. After the option to choose OS version, I choosed Redhat 2.6.18 then I put the name of my Netbackup Server. Is there any installer that can be found beside fileconnect?

I login to my Master server java console. I choose policy and from Action pane, I select 'Install Unix Client Software'. I read '21220074' pdf file of Installation Guide. From there, stated that it require / .rhosts file in the client server. But in my client server, there is no such file. That is why  I asked is it possible to create dummy file.

Kindly share where I can download the Netbackup client installer for RedHat Linux 2.6.18 32 and 64 bit.

Thanks in advance!

RamNagalla's picture

the only option that you have to download is fileconnect for base product. or you would need to order the installer CD.

once you download the binairs, when did you keep in master server.

if you try to install form master server. the binaris should be in /usr/openv/netbackup/clients/<OS version>

as it is saying "incorrect platform.", you need to check, what is the OS platfrom you have selcted in  Policy clients tab for the particular client.

when you try  in this methos netbckup looks in the path /usr/openv/netbackup/clients/<OS selected in POlicy clients tab>  and try to match with original client version. if binaries does not match it gives the same error.

besides RSh

you can use below method to install the clients remotely

http://www.symantec.com/business/support/index?pag...

righthanded's picture

Based on the compatibility matrices I have read, seems like NBU 7.0 and above support RHEL 6.x.

Or should I install 6.5.6 version?

Marianne's picture

I have download the 32 and 64 bit installer from fileconnect.

Which NBU version?  What are the exact filenames that you have downloaded?
Since version 7, there is no NBU software for 32-bit Linux.

Please also tell us more about your Linux client version - post output of :
cat /etc/redhat-release
 

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

Mark_Solutions's picture

As you have worked out and as suggested by the others - there is no V7 client for any 32bit unix clients

The best you can do is to install 6.5.6 as you suspected (obviously support is an issue but if you need it backing up you have little choice)

Only other option is to virtualise it and use the vSphere API to back it up

Hope this helps

Authorised Symantec Consultant

Don't forget to "Mark as Solution" if someones advice has solved your issue - and please bring back the Thumbs Up!!.

Marianne's picture

Seems we have all missed your last question:

If i do push installation, would it be possible if i create a dummy .rhosts file in '/' directory?

rsh is by default disabled on Linux. You need to consult your Linux documentation on how to enable it.
Alternative is to read up in NBU Installation Guide how to use ssh to push-install.
Another option: Use this method to link rsh to ssh on master and client: 
http://www.symantec.com/docs/TECH160242

In summary:

  • See NBU 7.x SCL for supported NBU versions for your Linux clients.
  • Install NBU 6.5 on 32-bit clients.
  • Install NBU 7.5 on supported 64-bit clients (manually or via push-install).

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

muhanad.daher's picture

Hi,

double check the install package that you download form fileconnect, there is a linux and zlinux, and there is a LinuxR (redhat) and LinuxS (Suse).

Also, follow Marianne suggestion.

Regards,

Muhanad Daher

Senior Data Center Engineer

SOLUTION